Bug 125814 - PyQt4 ports PORTEPOCH patch
PyQt4 ports PORTEPOCH patch
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-20 23:30 UTC by danny
Modified: 2008-07-25 23:30 UTC (History)
1 user (show)

See Also:


Attachments
py-qt4__PORTEPOCH.diff (5.58 KB, patch)
2008-07-20 23:30 UTC, danny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description danny 2008-07-20 23:30:01 UTC
	The first iteration of the py-qt4-* ports had a snapshot date as its
	PORTVERSION. After that the PORTVERSION became 4.foo. Because this is
	numerically lower than before, the PORTEPOCH should have been bumped.

	Attached patch retroactively does this, so that various ports sanity
	tests don't complain about it anymore (PORTVERSION retained).

	This is a combined patch for all py-qt4-* ports except py-qt4-qscintilla2,
	taken against PORTSDIR. Changed files:

	devel/py-qt4-core/Makefile
	devel/py-qt4-assistant/Makefile
	devel/py-qt4-dbus/Makefile
	misc/py-qt4-demo/Makefile
	devel/py-qt4-designerplugin/Makefile
	misc/py-qt4-doc/Makefile
	x11-toolkits/py-qt4-gui/Makefile
	net/py-qt4-network/Makefile
	x11/py-qt4-opengl/Makefile
	devel/py-qt4-script/Makefile
	databases/py-qt4-sql/Makefile
	graphics/py-qt4-svg/Makefile
	devel/py-qt4-test/Makefile
	textproc/py-qt4-xml/Makefile

	Poked by: kris@ (thanks!)

How-To-Repeat: 	Buy a timemachine and see for yourself :)
Comment 1 Martin Wilke freebsd_committer 2008-07-21 07:21:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-07-25 23:24:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2008-07-25 23:26:03 UTC
miwi        2008-07-25 22:24:16 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-qt4-core    Makefile 
    devel/py-qt4-assistant Makefile 
    devel/py-qt4-dbus    Makefile 
    misc/py-qt4-demo     Makefile 
    devel/py-qt4-designerplugin Makefile 
    misc/py-qt4-doc      Makefile 
    x11-toolkits/py-qt4-gui Makefile 
    net/py-qt4-network   Makefile 
    x11/py-qt4-opengl    Makefile 
    devel/py-qt4-script  Makefile 
    databases/py-qt4-sql Makefile 
    graphics/py-qt4-svg  Makefile 
    devel/py-qt4-test    Makefile 
    textproc/py-qt4-xml  Makefile 
  Log:
  The first iteration of the py-qt4-* ports had a snapshot date as its
  PORTVERSION. After that the PORTVERSION became 4.foo. Because this is
  numerically lower than before, the PORTEPOCH should have been bumped.
  
  Poked by:       kris@
  
  PR:             125814
  Submitted by:   Danny Pansters <danny@ricin.com> (maintainer)
  
  Revision  Changes    Path
  1.8       +1 -0      ports/databases/py-qt4-sql/Makefile
  1.8       +1 -0      ports/devel/py-qt4-assistant/Makefile
  1.8       +1 -0      ports/devel/py-qt4-core/Makefile
  1.9       +1 -0      ports/devel/py-qt4-dbus/Makefile
  1.8       +1 -0      ports/devel/py-qt4-designerplugin/Makefile
  1.5       +1 -0      ports/devel/py-qt4-script/Makefile
  1.8       +1 -0      ports/devel/py-qt4-test/Makefile
  1.8       +1 -0      ports/graphics/py-qt4-svg/Makefile
  1.8       +1 -0      ports/misc/py-qt4-demo/Makefile
  1.6       +1 -0      ports/misc/py-qt4-doc/Makefile
  1.8       +1 -0      ports/net/py-qt4-network/Makefile
  1.8       +1 -0      ports/textproc/py-qt4-xml/Makefile
  1.8       +1 -0      ports/x11-toolkits/py-qt4-gui/Makefile
  1.9       +1 -0      ports/x11/py-qt4-opengl/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"